Skip to main content
Users
CloudPortalLogin
  • Powered byPowered by
Developing with Sitecore Personalize
Data privacy
Before you start sending data
Integrating with Sitecore Personalize
Stream API
Personalize API Flow execution
REST APIs
  • Sitecore Personalize for developers
  • REST APIs
  • Decision model REST API
  • Retrieve a revision of a decision model

Retrieve a revision of a decision model

GET /v2/decisionModelDefinitions/<decisionModelRef>/revisions/revisionRef

Retrieves a revision of a decision model.

Attribute

Type

Description

Example

decisionModelRef

string

The reference of the decision model.

If you do not know the decision model reference, first retrieve decision models.

865ce079-6012-4f97-bc46-07215691a178

revisionref

string

The reference of the revision.

If you do not know the revision reference, first retrieve revisions.

3

RequestResponse
curl -X GET '<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/revisions/3' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
RequestResponse
{
  "type": "string",
  "clientKey": "string",
  "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/revisions/3",
  "ref": "865ce079-6012-4f97-bc46-07215691a178",
  "name": "Manage my booking 642144215",
  "description": "discount seasonal offers",
  "modifiedByUserRef": "f58e3f5a-dc4a-4dde-acf9-998580eb1975",
  "modifiedAt": "2025-10-05T08:36:57.916Z",
  "revision": 3,
  "revisionComment": "increase discount",
  "archived": false,
  "deploymentConfiguration": {
    "variants": [
      {
        "variantRef": "9c82d8c4-ea15-4a2b-b78b-a968563a3f21",
        "split": 100,
        "status": "PRODUCTION",
        "variantRevision": 0
      }
    ]
  },
  "tags": [
    "seasonal"
  ],
  "variants": {
    "type": "string",
    "href": "<baseURL>/v2/decisionModelDefinitions/9c82d8c4-ea15-4a2b-b78b-a968563a3f21/variants"
  },
  "revisions": {
    "type": "string",
    "href": "<baseURL>/v2/decisionModelDefinitions/865ce079-6012-4f97-bc46-07215691a178/revisions/2"
  }
}

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore